// -*- C++ -*-
// $RCSfile: massdensity.h,v $
// $Revision: 1.20 $
// $Author: vrc $
// $Date: 2007-09-26 22:03:22 $

/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#ifndef MASSDENSITY_H
#define MASSDENSITY_H

#include "engine/property.h"
#include <string>

class CSubProblem;
class Element;

class MassDensityProp : public ScalarTimeDerivPrefactor {
public:
  MassDensityProp(PyObject *reg, const std::string &name, double rho);
  virtual ~MassDensityProp() {}
  virtual int integration_order(const CSubProblem*, const Element*) const;
  virtual bool is_symmetric(const CSubProblem*) const { return true; }
  virtual bool constant_in_space() const { return true; }
};

#endif
